Subject: Re: [rtcweb] Use-case draft updated

From: "Hutton, Andrew" <[email-masked]>
Date: Wed, 4 Jul 2012 17:06:49 +0000

Hi Stefan,

I am not sure what the consensus was regarding the changing of the wording from "eavesdropping" to "wiretapping" but after discussion with a few people at the interim my thinking was that it would be best to remove the statements from each use case regarding eavesdropping and replace it with bullets in section 4.1 for considerations which apply to all use cases. These should state that all media streams and data channels must be integrity and confidentiality protected.

I stated this in the following mail http://www.ietf.org/mail-archive/web/rtcweb/current/msg04595.html.

It might be best to check with the chairs and/or AD's what is the best and acceptable wording given the RAVEN policy in RFC2804.

Regards
Andy

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Stefan Hakansson LK
> Sent: 27 June 2012 13:43
> To: [email-masked]
> Subject: [rtcweb] Use-case draft updated
> 
> Hi,
> 
> as already automatically announced, the use-case draft has been
> updated.
> Extract from the change log:
> 
> * Changed "eavesdropping" to "wiretapping" and referenced RFC2804.
> 
> * Removed informal ref webrtc_req; that document has been abandoned by
> the W3C webrtc WG.
> 
> * Added use-case where one user is behind a FW that only allows http;
> derived req. F37.
> 
> * Changed F24 slightly; MUST-> SHOULD, inserted "available".
> 
> * Added a clause to "Simple video communication service" saying that
> the
> service provider monitors the quality of service, and derived reqs F38
> and A26.
> 
> Most of the above are things that was documented in the minutes of the
> Interim June 12th; I took the liberty to add some text (and reqs
> A26/F38) on the service provider monitoring the QoE.
> 
> Feedback and comments are most welcome.
> 
> Also, Ekr has the task to deliver an Identity related use-case (as
> discussed at the interim).
> 
> Stefan
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb

---

From: Stefan Hakansson LK <[email-masked]>
Date: Fri, 6 Jul 2012 09:16:14 +0200

On 07/04/2012 07:06 PM, Hutton, Andrew wrote:
> Hi Stefan,
>
> I am not sure what the consensus was regarding the changing of the
> wording from "eavesdropping" to "wiretapping" but after discussion
> with a few people at the interim my thinking was that it would be
> best to remove the statements from each use case regarding
> eavesdropping and replace it with bullets in section 4.1 for
> considerations which apply to all use cases. These should state that
> all media streams and data channels must be integrity and
> confidentiality protected.

Hi Andrew! I got the feeling that people disliked "eavesdropping", so I 
replaced it. I may have made a mistake and I would be glad to change again.

Regarding moving this to section 4.1, I did consider that, but 4.1 right 
now deals exclusively with network specific capabilities, and I felt a 
requirement on wiretapping/eavesdropping would not fit that well there. 
Again, I would be happy to change.

>
> I stated this in the following mail
> http://www.ietf.org/mail-archive/web/rtcweb/current/msg04595.html.

Yes, I noted that mail.

>
> It might be best to check with the chairs and/or AD's what is the
> best and acceptable wording given the RAVEN policy in RFC2804.

Chairs, any input?

>
> Regards Andy
>
>
>
>
>
>> -----Original Message----- From: [email-masked]
>> [mailto:[email-masked]] On Behalf Of Stefan Hakansson LK
>> Sent: 27 June 2012 13:43 To: [email-masked] Subject: [rtcweb]
>> Use-case draft updated
>>
>> Hi,
>>
>> updated. Extract from the change log:
>>
>> * Removed informal ref webrtc_req; that document has been abandoned
>> by the W3C webrtc WG.
>>
>> * Added use-case where one user is behind a FW that only allows
>> http; derived req. F37.
>>
>> * Added a clause to "Simple video communication service" saying
>> that the service provider monitors the quality of service, and
>> derived reqs F38 and A26.
>>
>> Most of the above are things that was documented in the minutes of
>> the Interim June 12th; I took the liberty to add some text (and
>> reqs A26/F38) on the service provider monitoring the QoE.
>>
>> Stefan _______________________________________________ rtcweb
>> mailing list [email-masked]

---

From: Ted Hardie <[email-masked]>
Date: Tue, 10 Jul 2012 12:54:49 -0700

>> best and acceptable wording given the RAVEN policy in RFC2804.

Speaking personally, rather than as chair, I think re-using the
language in the RAVEN documents is more effective.  It's a known
quantity in the IETF.  If you feel this needs a chair decision, rather
than further discussion in the working group, though, I'll raised the
issue with Cullen and Magnus at our meeting this Thursday.

Ted